package com.ruoyi.system.domain.to;

import javax.validation.constraints.NotBlank;
import java.util.StringJoiner;

/**
 * @ClassName: AMapBaseTo
 * @Author: 于学智
 * @Description:
 * @CreateDate: 2023/9/14 17:35
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapBaseTo {
    /**
     * 高德key 用户在高德地图官网申请Web服务API类型Key 必填
     */
    @NotBlank(message = "高德Key禁止为空！")
    private String key;

    /**
     * 服务唯一编号 sid为猎鹰service唯一编号 必填
     */
    @NotBlank(message = "服务唯一编号sid禁止为空！")
    private String sid;

    /**
     * 围栏id  围栏唯一标识，指定要更新的围栏 必填
     */
    @NotBlank(message = "围栏gfid禁止为空！")
    private String gfid;

    /**
     * 围栏名称 在同一个 sid 下不可重复，不可为空。 支持中文、英文大小字母、英文下划线"_"、英文横线"-"和数字，长度不大于128个字符 必填
     */
    @NotBlank(message = "围栏名称禁止为空！")
    private String name;

    /**
     * 围栏描述 支持中文、英文大小字母、英文下划线"_"、英文横线"-"和数字，长度不大于128个字符 非
     */
    private String desc;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getGfid() {
        return gfid;
    }

    public void setGfid(String gfid) {
        this.gfid = gfid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AMapBaseTo.class.getSimpleName() + "[", "]")
                .add("key='" + key + "'")
                .add("sid='" + sid + "'")
                .add("gfid='" + gfid + "'")
                .add("name='" + name + "'")
                .add("desc='" + desc + "'")
                .toString();
    }
}
